aboutsummarylogtreecommitdiffstats
path: root/ni-visa.install
diff options
context:
space:
mode:
Diffstat (limited to 'ni-visa.install')
-rw-r--r--ni-visa.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/ni-visa.install b/ni-visa.install
new file mode 100644
index 000000000000..10d2079d5a2b
--- /dev/null
+++ b/ni-visa.install
@@ -0,0 +1,20 @@
+post_install() {
+
+ getent group usbtmc || groupadd -r usbtmc
+ udevadm control --reload-rules 2>/dev/null
+
+ cat << EOF
+===>
+===> Please re-login to renew environment variable.
+===> If USB-based devices do not run properly, check the following:
+===> # gpasswd -a <user> usbtmc
+===> # rmmod usbtmc
+===> refs: http://digital.ni.com/public.nsf/allkb/A10090850FF0887A86257926007A7E96
+===> https://github.com/python-ivi/python-usbtmc#configuring-udev
+===>
+EOF
+}
+
+post_remove() {
+ groupdel usbtmc >/dev/null 2>&1 || true
+} \ No newline at end of file